Facebook Theme for android

This is a High resolution Facebook Skin and does not open by itself. It works with the following home replacement apps:

aHome
open home
panda home
dxtop
freshface
sweeter home

Must have a Hi-Res phone for Hi-Res resolution, however, it will work on other devices in low res. no support for droid.


Android Market Trademark Complaint received!

One of my apps got suspended today! I wish google would have given the devs a chance to voice their opinion before going and deleting everything that has NBA in the title. Here is a letter I received from them and a copy of the complaint sent by someone at the NBA:

This is a notification that the application, Houston Rockets Pro Theme NBA with package ID mobi.bbase.ahome.theme.rockets has been removed from Android Market due to a violation of the Developer Content Policy. Please review the Content Policies and Business and Program Policies before you create or upload additional applications. Note that repeated violations may result in a suspension of your Android Market Publisher account.

For more information, or to contact us, please reply to this email, or visit the Android Market Help Center.

Thanks,

The Android Market Team

and another email:

Google has been notified that some of your materials allegedly infringe

upon the trademarks of others. The details of the removed application may

be found at the end of this message. Please note that we have attached a

copy of the original notice we received for your reference.

If you have any further concerns about this issue, please address them

directly to the complainant in the Trademark Infringement Notice provided.

The affected application is listed below:

Houston Rockets Pro Theme NBA by HydTech

Regards,

The Android Market Team

Here is a copy of the complaint sent by some Sacha Tarrant of the NBA:

Android market trademark complaint

So in conclusion, anyone can send in a complaint and google will suspend your app without looking into it.

The New Droid Incredible!

FreeNX, NXserver, NeatX and more NX problems

After upgrading to Lucid, I noticed I was having problems with nxserver. I couldn’t lock my screen from work anymore. I tried everything under the sun but I still kept getting the “Error: couldn’t find RGB GLX visual or fbconfig” message with glxinfo in my forwarded screen. glxinfo works fine when at the computer itself. I read that X11 forwarding has had some problems with this recently. I uninstalled nxserver and reinstalled the latest version. no luck. It made it worse and now I couldn’t even get CAPS lock to work on the remote screen. Then I found neatx. Neatx is google’s version of nxserver and which is based on nxserver. My first thoughts on neatx were that is looks the same as nxserver but a little slower. My keyboard and mouse, however, function properly but still no lock screen or screen saver. My next option: Try KDE. I installed KDE but still got the glxinfo error. Screen lock worked though! Waiting for a fix on X11 forwarding with ssh, in the mean while, I keep KDE.

I got my Free Verizon Droid! Thank you android market device seeding program!

Thanks to the Android market device seeding program, I will be developing more apps for the market. I just received my new Verizon Droid! I actually preferred the Nexus One, but beggars can’t be choosers. They gave me 30 days of Free Unlimited Voice and Data! Google knows how to treat their developers, unlike apple. Although, I wish they reduce the 30% google checkout fees.

Go check you mailboxes, devs!

God of War Theme skin for android





How to install Kiba Dock on Karmic and Lucid

Just managed to install kiba dock on my system today. I wanted to see what the hype was all about. I followed this guide on ubuntu-forums.

make sure you have compiz running before you install kiba dock.


1. sudo apt-get remove automake1.4

2. sudo apt-get install fakeroot automake1.9 build-essential libpango1.0-dev libgtk2.0-dev libgconf2-dev libglitz-glx1-dev librsvg2-dev libglade2-dev libxcomposite-dev subversion libtool libgtop2-dev python-gtk2-dev libgnome-menu-dev libgnomeui-dev libgnomevfs2-dev intltool libxml2-dev libglitz1-dev libcairo2 libdbus-1-dev libgtop2-7 libgnomevfs2-0 libgnomeui-0 librsvg2-2 python-feedparser libasound2-dev libsdl1.2-dev libdbus-glib-1-dev libgstreamer-plugins-base0.10-dev libgstreamer0.10-dev libgstreamer0.10-0 pidgin-dev libpurple-dev

3. svn co https://kibadock.svn.sourceforge.net/svnroot/kibadock/trunk/akamaru/ akamaru

4. svn co https://kibadock.svn.sourceforge.net/svnroot/kibadock/trunk/kiba-dock/ kiba-dock

5. svn co https://kibadock.svn.sourceforge.net/svnroot/kibadock/trunk/kiba-plugins/ kiba-plugins

6. svn co https://kibadock.svn.sourceforge.net/svnroot/kibadock/trunk/kiba-dbus-plugins/ kiba-dbus-plugins

7. svn co https://kibadock.svn.sourceforge.net/svnroot/kibadock/trunk/kiba-gaim-plugin kiba-gaim-plugin

8. svn co https://kibadock.svn.sourceforge.net/svnroot/kibadock/trunk/kiba-ephy-extension kiba-ephy-extension

9. cd kiba-dock

10. svn update -r 602 *

Follow this if you have 32 bit

cd akamaru/
./autogen.sh --prefix=/usr --exec-prefix=/usr
sudo make install
cd ..

cd kiba-dock/
./autogen.sh
sudo make install
cd ..

cd kiba-plugins/
./autogen.sh
sudo make install
cd ..

cd kiba-dbus-plugins/
./autogen.sh
sudo make install
cd ..

Follow this if you have 64 bit

cd akamaru/
./autogen.sh --prefix=/usr --exec-prefix=/usr --libdir=/usr/lib64
sudo make install
cd ..

cd kiba-dock/
./autogen.sh --prefix=/usr --libdir=/usr/lib64
sudo make install
cd ..

cd kiba-plugins/
CC="gcc -fPIC" ./autogen.sh --prefix=/usr --libdir=/usr/lib64
sudo make install
cd ..

cd kiba-dbus-plugins/
./autogen.sh --prefix=/usr --libdir=/usr/lib64
sudo make install
cd ..


Now add it to the startup applications

Go to System -> Preferences -> Startup Applications and add.

Name = Kiba Dock

Command = kiba-dock

Troubleshooting:

If you are getting compilation errors, then automake is probably causing problems. You need to gedit configuration.in or configuration.ac and change all the AC_SUBST("$WHATEVER") to AC_SUBST(WHATEVER)